OpenVDB 13.0.0

Loading...
Searching...
No Matches
InternalNode< _ChildNodeType, Log2Dim >::TopologyCopy1< OtherInternalNode > Struct Template Reference

`#include <openvdb/tree/InternalNode.h>`

## Public Member Functions
| TopologyCopy1 (const OtherInternalNode *source, InternalNode *target, const ValueType &background)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes
const OtherInternalNode * | s
InternalNode * | t
const ValueType & | b

## Constructor & Destructor Documentation

## ◆ TopologyCopy1()

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

TopologyCopy1 | ( | const OtherInternalNode * | source,
|  | InternalNode * | target,
|  | const ValueType & | background )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const
| inline

## Member Data Documentation

## ◆ b

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

const ValueType& b

## ◆ s

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

const OtherInternalNode* s

## ◆ t

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherInternalNode>

InternalNode* t